/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.TramoKm;

/**
 * 
 * @author Administrador
 */
public class RenderTramoKm implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		TramoKm tramoKm = (TramoKm) o;
		Listcell lc = new Listcell((tramoKm.getCantkmpagoconductor() == null) ? "" : tramoKm.getCantkmpagoconductor().toString());
		lc.setParent(lstm);
		
		Empresa empresa = tramoKm.getEmpresa();
		lc = new Listcell((empresa == null) ? "" : empresa.getNombempresa());
		lc.setParent(lstm);
	}
}
